package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class MdFileArtifactsDTO implements Serializable {

    private static final long serialVersionUID = 83608583331455L;

    private Integer id;

    private String pattern;

    private String stringFound;

    private String stringReplaced;

    private String type;

    private String status;

    private Integer line;

    private Integer patternStart;

    private Integer patternEnd;

    private java.util.Date dueDate;

    private String dbType;

    private String codeType;

    private String description;

    private Integer priority;

    private String securityGroupId;

    private java.util.Date createdOn;

    private String createdBy;

    private java.util.Date lastUpdated;

    private String lastUpdatedBy;

    private Integer applicationfilesId;

        public Integer getId() {
    return id;
    }

        public void setId(Integer id) {
    this.id = id;
    }

        public String getPattern() {
    return pattern;
    }

        public void setPattern(String pattern) {
    this.pattern = pattern;
    }

        public String getStringFound() {
    return stringFound;
    }

        public void setStringFound(String stringFound) {
    this.stringFound = stringFound;
    }

        public String getStringReplaced() {
    return stringReplaced;
    }

        public void setStringReplaced(String stringReplaced) {
    this.stringReplaced = stringReplaced;
    }

        public String getType() {
    return type;
    }

        public void setType(String type) {
    this.type = type;
    }

        public String getStatus() {
    return status;
    }

        public void setStatus(String status) {
    this.status = status;
    }

        public Integer getLine() {
    return line;
    }

        public void setLine(Integer line) {
    this.line = line;
    }

        public Integer getPatternStart() {
    return patternStart;
    }

        public void setPatternStart(Integer patternStart) {
    this.patternStart = patternStart;
    }

        public Integer getPatternEnd() {
    return patternEnd;
    }

        public void setPatternEnd(Integer patternEnd) {
    this.patternEnd = patternEnd;
    }

        public java.util.Date getDueDate() {
    return dueDate;
    }

        public void setDueDate(java.util.Date dueDate) {
    this.dueDate = dueDate;
    }

        public String getDbType() {
    return dbType;
    }

        public void setDbType(String dbType) {
    this.dbType = dbType;
    }

        public String getCodeType() {
    return codeType;
    }

        public void setCodeType(String codeType) {
    this.codeType = codeType;
    }

        public String getDescription() {
    return description;
    }

        public void setDescription(String description) {
    this.description = description;
    }

        public Integer getPriority() {
    return priority;
    }

        public void setPriority(Integer priority) {
    this.priority = priority;
    }

        public String getSecurityGroupId() {
    return securityGroupId;
    }

        public void setSecurityGroupId(String securityGroupId) {
    this.securityGroupId = securityGroupId;
    }

        public java.util.Date getCreatedOn() {
    return createdOn;
    }

        public void setCreatedOn(java.util.Date createdOn) {
    this.createdOn = createdOn;
    }

        public String getCreatedBy() {
    return createdBy;
    }

        public void setCreatedBy(String createdBy) {
    this.createdBy = createdBy;
    }

        public java.util.Date getLastUpdated() {
    return lastUpdated;
    }

        public void setLastUpdated(java.util.Date lastUpdated) {
    this.lastUpdated = lastUpdated;
    }

        public String getLastUpdatedBy() {
    return lastUpdatedBy;
    }

        public void setLastUpdatedBy(String lastUpdatedBy) {
    this.lastUpdatedBy = lastUpdatedBy;
    }

        public Integer getApplicationfilesId() {
    return applicationfilesId;
    }

        public void setApplicationfilesId(Integer applicationfilesId) {
    this.applicationfilesId = applicationfilesId;
    }

}